# Interface Token

interface Token {
constant: boolean;
identifier: boolean;
index: number;
operator: boolean;
text: string;
value: string | number;
}

- Defined in core/parser/lexer.js:27

#####
Index

### Properties

constant
identifier
index
operator
text
value

##
Properties

### constant

constant: boolean

Indicates if token is a constant.

- Defined in core/parser/lexer.js:31

### identifier

identifier: boolean

Indicates if token is an identifier.

- Defined in core/parser/lexer.js:30

### index

index: number

Index of the token.

- Defined in core/parser/lexer.js:28

### operator

operator: boolean

Indicates if token is an operator.

- Defined in core/parser/lexer.js:33

### text

text: string

Text of the token.

- Defined in core/parser/lexer.js:29

### value

value: string | number

Value of the token if it's a constant.

- Defined in core/parser/lexer.js:32